## org.eclipse.emf.ecore.util
Interface InternalEList<E>

All Superinterfaces:
  java.util.Collection<E>, EList<E>, java.lang.Iterable<E>, java.util.List<E>

All Known Subinterfaces:
  FeatureMap.Internal, InternalEList.Unsettable<E>

All Known Implementing Classes:
  AbstractSequentialInternalEList, BasicFeatureMap, BasicInternalEList, DelegatingEcoreEList, DelegatingEcoreEList.Dynamic, DelegatingEcoreEList.Generic, DelegatingEcoreEList.UnmodifiableEList, DelegatingEcoreEList.Unsettable, DelegatingFeatureMap, DelegatingNotifyingInternalEListImpl, EContentsEList, EcoreEList, EcoreEList.Dynamic, EcoreEList.Generic, EcoreEList.UnmodifiableEList, EcoreEList.UnmodifiableEList.FastCompare, EcoreEMap, EcoreEMap.DelegateEObjectContainmentEList, EcoreEMap.Unsettable, EcoreEMap.Unsettable.UnsettableDelegateEObjectContainmentEList, ECrossReferenceEList, EDataTypeEList, EDataTypeEList.Unsettable, EDataTypeUniqueEList, EDataTypeUniqueEList.Unsettable, EObjectContainmentEList, EObjectContainmentEList.Resolving, EObjectContainmentEList.Unsettable, EObjectContainmentEList.Unsettable.Resolving, EObjectContainmentWithInverseEList, EObjectContainmentWithInverseEList.Resolving, EObjectContainmentWithInverseEList.Unsettable, EObjectContainmentWithInverseEList.Unsettable.Resolving, EObjectEList, EObjectEList.Unsettable, EObjectResolvingEList, EObjectResolvingEList.Unsettable, EObjectWithInverseEList, EObjectWithInverseEList.ManyInverse, EObjectWithInverseEList.Unsettable, EObjectWithInverseEList.Unsettable.ManyInverse, EObjectWithInverseResolvingEList, EObjectWithInverseResolvingEList.ManyInverse, EObjectWithInverseResolvingEList.Unsettable, EObjectWithInverseResolvingEList.Unsettable.ManyInverse, EStoreEObjectImpl.BasicEStoreEList, EStoreEObjectImpl.BasicEStoreFeatureMap, EStoreEObjectImpl.EStoreEList, EStoreEObjectImpl.EStoreFeatureMap, FeatureMapUtil.FeatureEList, FeatureMapUtil.FeatureEList.Basic, FeatureMapUtil.FeatureFeatureMap, NotifyingInternalEListImpl, ResourceImpl.ContentsEList, ResourceSetImpl.ResourcesEList

    public interface InternalEList<E>

extends EList<E>

An interface that the `value` of `multi-valued` `feature` is expected to implement. Clients should generally extend one of the the existing lists that implement this API to better accommodate the addition of methods, e.g., `AbstractSequentialInternalEList`, `BasicInternalEList`, `NotifyingInternalEListImpl`, `DelegatingNotifyingInternalEListImpl`, `EcoreEList.UnmodifiableEList`, `DelegatingEcoreEList.UnmodifiableEList`, or a subclass of one of the above.

Nested Class Summary
`static interface` `InternalEList.Unsettable<E>` Additional API for unsettable lists.

Method Summary
`boolean` `addAllUnique(java.util.Collection<? extends E> collection)` Adds the objects without verifying uniqueness.
`boolean` `addAllUnique(int index, java.util.Collection<? extends E> collection)` Adds the objects without verifying uniqueness.
`void` `addUnique(E object)` Adds the object without verifying uniqueness.
`void` `addUnique(int index, E object)` Adds the object without verifying uniqueness.
`NotificationChain` `basicAdd(E object, NotificationChain notifications)` Adds the object without updating the inverse.
`boolean` `basicContains(java.lang.Object object)` Returns whether the object is contained within the list of unresolved values.
`boolean` `basicContainsAll(java.util.Collection<?> collection)` Returns whether each object in the collection is contained within the list of unresolved values.
`E` `basicGet(int index)` Returns the unresolved value.
`int` `basicIndexOf(java.lang.Object object)` Returns the index of the object within the list of unresolved values.
`java.util.Iterator<E>` `basicIterator()` Returns an iterator that yields unresolved values.
`int` `basicLastIndexOf(java.lang.Object object)` Returns the last index of the object within the list of unresolved values.
`java.util.List<E>` `basicList()` Returns an unmodifiable list that yields unresolved values.
`java.util.ListIterator<E>` `basicListIterator()` Returns a list iterator that yields unresolved values.
`java.util.ListIterator<E>` `basicListIterator(int index)` Returns a list iterator that yields unresolved values.
`NotificationChain` `basicRemove(java.lang.Object object, NotificationChain notifications)` Removes the object with without updating the inverse.
`java.lang.Object[]` `basicToArray()` Returns the array with unresolved values.

`

`<T> T[]`

`

`basicToArray(T[] array)`
Returns the array with unresolved values.

`E` `setUnique(int index, E object)` Sets the object without verifying uniqueness.

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### basicGet

    E basicGet(int index)

  Returns the unresolved value.

### basicList

    java.util.List<E> basicList()

  Returns an unmodifiable list that yields unresolved values.

### basicIterator

    java.util.Iterator<E> basicIterator()

  Returns an iterator that yields unresolved values.

### basicListIterator

    java.util.ListIterator<E> basicListIterator()

  Returns a list iterator that yields unresolved values.

### basicListIterator

    java.util.ListIterator<E> basicListIterator(int index)

  Returns a list iterator that yields unresolved values.

### basicToArray

    java.lang.Object[] basicToArray()

  Returns the array with unresolved values.

  Since:
    2.4

### basicToArray

    <T> T[] basicToArray(T[] array)

  Returns the array with unresolved values.

  Since:
    2.4

### basicIndexOf

    int basicIndexOf(java.lang.Object object)

  Returns the index of the object within the list of unresolved values.

  Since:
    2.4

### basicLastIndexOf

    int basicLastIndexOf(java.lang.Object object)

  Returns the last index of the object within the list of unresolved values.

  Since:
    2.4

### basicContains

    boolean basicContains(java.lang.Object object)

  Returns whether the object is contained within the list of unresolved values.

  Since:
    2.4

### basicContainsAll

    boolean basicContainsAll(java.util.Collection<?> collection)

  Returns whether each object in the collection is contained within the list of unresolved values.

  Since:
    2.4

### basicRemove

    NotificationChain basicRemove(java.lang.Object object,
                                  NotificationChain notifications)

  Removes the object with without updating the inverse.

### basicAdd

    NotificationChain basicAdd(E object,
                               NotificationChain notifications)

  Adds the object without updating the inverse.

### addUnique

    void addUnique(E object)

  Adds the object without verifying uniqueness.

### addUnique

    void addUnique(int index,
                   E object)

  Adds the object without verifying uniqueness.

### addAllUnique

    boolean addAllUnique(java.util.Collection<? extends E> collection)

  Adds the objects without verifying uniqueness.

  Since:
    2.4

### addAllUnique

    boolean addAllUnique(int index,
                         java.util.Collection<? extends E> collection)

  Adds the objects without verifying uniqueness.

  Since:
    2.4

### setUnique

    E setUnique(int index,
                E object)

  Sets the object without verifying uniqueness.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.